Roku Developer Program

Developers and content creators—a complete solution for growing an audience directly.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
LukeTech
Level 7

MiniUPNP outdated [vulnerability]

During a routine vulnerability scan, Nessus finds that my Roku Ultra has an issue with the MiniUPnP service.

Roku 4660X Ultra
Software 9.4.0 build 4147-46

MiniUPnP version 1.4, fixed version 1.9

Please check this out when you can. Thank you.

Nessus Finding

0 Kudos
1 Reply
RokuNB
Roku Employee
Roku Employee

Re: MiniUPNP outdated [vulnerability]

see here https://community.roku.com/t5/Roku-Developer-Program/MiniUPnP-BSD-3-Clause-License/m-p/617089 - apparently MiniUPnP was not used on Roku, contrary to what that header is saying for h*st*rical reasons. 

 

0 Kudos